Page MenuHomePhabricator

Add a dropdown with reasons (and maintain the free text field too) for when hiding individual abuselog entries
Closed, ResolvedPublic

Description

It would be useful to have a dropdown with predefined reasons when hidding abuse log entries as it happens with RevisionDeletion. The wording of such dropdown could be the same. I'm talking about what we do at Special:AbuseLog&hide=LOGIDNUMBER. The free text field should also be mantained for additional explanations.Thanks.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2016, 11:15 PM
Aklapper renamed this task from Please add a dropdown with reasons (and mantain the free text field too) for when hidding individual abuselog entries to Add a dropdown with reasons (and maintain the free text field too) for when hiding individual abuselog entries.Dec 13 2016, 11:05 AM

Useful suggestion. Thanks.

Huji claimed this task.Dec 23 2016, 2:25 PM
Huji triaged this task as Lowest priority.
Huji moved this task from Backlog to Management UI on the AbuseFilter board.Dec 24 2016, 10:18 PM
Huji removed Huji as the assignee of this task.Jan 30 2018, 3:05 AM
Huji added a subscriber: Huji.
Daimona claimed this task.Mar 23 2018, 7:20 PM
Daimona added a subscriber: Daimona.

I'm sending the patch in a minute, but I have a big question: where is the reason displayed? I checked AbuseLog and Special:Log, but couldn't find it.

Change 421607 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add reasons dropdown to hidelog form and convert it to OOUI

https://gerrit.wikimedia.org/r/421607

Huji added a comment.Mar 23 2018, 7:37 PM

It goes into the 'suppress' log, as defined here

@Huji yes, thanks, I just figured it out. I couldn't find it because I didn't have RevDel nor Suppression enabled on my wiki. Now I really confirm that it works (although I already checked with var_dump).

Change 421607 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Add reasons dropdown to hidelog form and convert it to OOUI

https://gerrit.wikimedia.org/r/421607

Daimona closed this task as Resolved.Apr 5 2018, 7:08 AM